import rasterio, fiona
from rasterio.plot import show
import rasterio.mask

raszterfajl = rasterio.open("adatok/felszinhomerseklet.tif")
raszterfajl.crs
raszterfajl.count
varosok = fiona.open("adatok/varosok.shp", "r")
nehany_varos = [varosok[1]["geometry"], varosok[6]["geometry"]]
maszkolt, vetulet = rasterio.mask.mask(raszterfajl, nehany_varos, crop = True, nodata = 200)
show(maszkolt, cmap = "coolwarm", vmin = 280, vmax = 310)
