# parancssorban: pip install rasterio
import rasterio
raszter = rasterio.open("adatok/pilis_dem.tif")
raszter.count # rétegek száma
raszter.width
raszter.height
raszter.bounds # befoglaló doboz
raszter.crs # vetület

pilis = raszter.read(1) # 1-gyel kezdődik a számozás!
print(pilis)

from rasterio.plot import show
show(pilis)

show(pilis, cmap = "terrain", contour = True)

show(pilis)
show(pilis, cmap = "twilight")
show(pilis, cmap = "terrain")
show(pilis, cmap = "terrain", vmin = 50, vmax = 500)

from rasterio.plot import show_hist
show_hist(pilis)

import shapely.geometry, rasterio.mask
kor = shapely.geometry.Point(19, 47.5).buffer(0.1)
korok_listaja = [kor] # listába tesszük!
maszkolt_pilis, vetulet = rasterio.mask.mask(raszter, korok_listaja, crop = True, nodata = 0)
show(maszkolt_pilis, cmap = "gist_earth", vmin = 50, vmax = 500)

