from shapely.geometry import Point, MultiPoint, LineString
pontgyujtemeny_koordinatabol = MultiPoint([[7, 8], [5, -10], [0, 9]])
pont1 = Point(2, 15)
pont2 = Point(9, -1)
pont3 = Point(3, 5)
pontgyujtemeny_pontokbol = MultiPoint([pont1, pont2, pont3])
pontgyujtemeny_vegyes = MultiPoint([pont1, [-7, 6], pont3])
pontok = pontgyujtemeny_pontokbol
pontok
print(pontok) # WKT

pont3 in pontok # igaz
Point([3, 5]) in pontok # igaz
Point([-2, 11]) in pontok # hamis
for pont in pontok:
    print(pont)

pontok_listaja = list(pontok)
for pont in pontok_listaja:
    print(pont.x)
print(pontok)
print(pontok[0]) # első pont
print(pontok[1:3]) # második és harmadik pont
vonal = LineString([pontok[2], pontok[0]])

from shapely.geometry import mapping, shape
pontgyujtemeny_GJSON = mapping(pontgyujtemeny_koordinatabol)
type(pontgyujtemeny_GJSON) # szótár
print(pontgyujtemeny_GJSON) # van type és coordinates azonosítójú eleme
pontgyujtemeny_GJSON["type"] # MultiPoint
pontgyujtemeny_GJSON["coordinates"]
pontgyujtemeny_shape = shape(pontgyujtemeny_GJSON) # visszaalakítjuk
pontgyujtemeny_shape == pontgyujtemeny_koordinatabol # igaz

# parancssorban: pip install fiona
import fiona
varosok = fiona.open("adatok/varosok.shp", "r")
for varos in varosok:
    type(varos)
varosok.crs # vetület
varosok.schema # adatszerkezet
len(varosok) # elemszám

list(varosok[0].keys()) # ['type', 'id', 'properties', 'geometry']
elso_geometriaja = varosok[0]["geometry"]
type(elso_geometriaja) # szótár (GeoJSON)
elso_shapekent = shape(elso_geometriaja)
type(elso_shapekent) # most már a shapely tudja kezelni

elso_shapekent.area # és működnek a shapelys függvények/tulajdonságok
elso_shapekent.buffer(5)
from matplotlib.pyplot import plot, show
x, y = elso_shapekent.exterior.xy
plot(x, y)
show()
